Skip to main content
GET
/
accounting
/
income_statement
Get Income Statement
curl --request GET \
  --url https://api.rootfi.dev/v4/accounting/income_statement \
  --header 'api_key: <api-key>'
{
  "data": [
    {
      "rootfi_id": 123,
      "rootfi_deleted_at": null,
      "rootfi_created_at": "2024-01-25T09:00:00Z",
      "rootfi_updated_at": "2024-01-25T09:00:00Z",
      "rootfi_company_id": 456,
      "platform_id": "IS2023-123",
      "platform_unique_id": "IS2023-123",
      "period_start": "2023-09-28T00:00:00.000Z",
      "period_end": "2023-09-28T00:00:00.000Z",
      "currency_id": "3770712000000000099",
      "revenue": [
        {
          "name": "Operating Revenue",
          "value": 0,
          "line_items": [
            {
              "name": "Discount",
              "value": 0,
              "account_id": "3770712000000000406"
            }
          ]
        }
      ],
      "cost_of_goods_sold": [
        {
          "name": "Cost of Goods Sold",
          "value": 0,
          "line_items": []
        }
      ],
      "gross_profit": 58000,
      "operating_expenses": [
        {
          "name": "Operating Expenses",
          "value": -8.5,
          "line_items": []
        }
      ],
      "operating_profit": 30000,
      "non_operating_revenue": [
        {
          "name": "Non Operating Revenue",
          "value": 0,
          "line_items": []
        }
      ],
      "non_operating_expenses": [
        {
          "name": "Non Operating Expenses",
          "value": 0,
          "line_items": []
        }
      ],
      "net_profit": 23500,
      "updated_at": "2021-09-28T00:00:00.000Z"
    }
  ],
  "prev": "eyJyb290ZmlfaWQiOjQ0MDA2MX0=",
  "next": "eyJyb291ZmlfaWQiOjQ0MDA2MX0=",
  "total_count": 123
}
An income statement is a financial report that shows a business’s revenue, expenses, and net income or loss over a specific period of time. In an accounting platform, an income statement is typically generated automatically based on the financial transactions that have been recorded in the system.

Authorizations

api_key
string
header
required

Query Parameters

rootfi_updated_at[gte]
string | null

Filter by rootfi_updated_at Greater than or Equal To.

rootfi_company_id[eq]
integer | null

Filter by rootfi_company_id. You can filter by any field using this syntax field_name[operator]

include_deleted_records
string | null

Include deleted records. By default, deleted records are not included. Supported values are true and false

sort[period_end]
string | null

The period end date of the income statement

period_start[gte]
string | null

The period start date of the income statement

period_end[lte]
string | null

The period end date of the income statement

period
integer | null

The period of the income statement. This is the monthly grouping of the income statement. For example - If period is 3, then the income statement will be grouped by quarter.

Response

The response object for the income statement endpoint.

data
accountingIncomeStatementObject · object[]
required
prev
string | null

The previous page of objects to retrieve

next
string | null

The next page of objects to retrieve

total_count
integer | null

The total count of the objects